Page MenuHomePhabricator

Remove this.uploads from the UploadWizard class
Closed, ResolvedPublic2 Story Points

Description

I'm SICK. AND. TIRED. OF. THIS. ARRAY.

It should be in each step, and each step already gets a copy of the last step's this.uploads in its moveTo method. So we're GOOD.

Event Timeline

MarkTraceur claimed this task.
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 25 2015, 3:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MarkTraceur set Security to None.Mar 25 2015, 3:41 PM
MarkTraceur edited a custom field.

Change 199985 had a related patch set uploaded (by MarkTraceur):
[WIP] Move upload handling to the step objects

https://gerrit.wikimedia.org/r/199985

Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Apr 30 2015, 4:08 PM
Jdforrester-WMF moved this task from Next up to Doing on the Multimedia board.
MarkTraceur moved this task from Doing to Next up on the Multimedia board.Sep 4 2015, 5:17 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 5:17 PM

Change 199985 abandoned by MarkTraceur:
[WIP] Move upload handling to the step objects

Reason:
Mostly superseded by change 254913

https://gerrit.wikimedia.org/r/199985

MarkTraceur lowered the priority of this task from Normal to Low.Dec 3 2015, 8:03 PM
MarkTraceur added a project: Technical-Debt.

Change 254913 had a related patch set uploaded (by MarkTraceur):
Remove upload handling from UploadWizard object

https://gerrit.wikimedia.org/r/254913

Change 254913 abandoned by MarkTraceur:
Remove upload handling from UploadWizard object

Reason:
Needs some serious Flickr refactoring, which I don't want to do right now, so I'm going to close this so we can focus on fixing bugs

https://gerrit.wikimedia.org/r/254913

Change 254913 restored by MarkTraceur:
Remove upload handling from UploadWizard object

Reason:
I forgot I was using this as the base for something.

https://gerrit.wikimedia.org/r/254913

Change 318019 had a related patch set uploaded (by Matthias Mullie):
Move this.uploads, addUpload & removeUpload to controllers

https://gerrit.wikimedia.org/r/318019

Change 318020 had a related patch set uploaded (by Matthias Mullie):
Get rid of some event handler in mw.UploadWizard

https://gerrit.wikimedia.org/r/318020

Change 318019 merged by jenkins-bot:
Move this.uploads, addUpload & removeUpload to controllers

https://gerrit.wikimedia.org/r/318019

matmarex closed this task as Resolved.Nov 16 2016, 10:26 AM
matmarex reassigned this task from MarkTraceur to matthiasmullie.
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

\o/

TheDJ awarded a token.Nov 16 2016, 2:07 PM

Change 318020 merged by jenkins-bot:
Get rid of some event handlers in mw.UploadWizard

https://gerrit.wikimedia.org/r/318020